WinShopAPI docs
ReferenceItem lists

Products / Brand manufacturers

List brand manufacturers

GET
/api/item-lists/products/brand-manufacturers

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/products/brand-manufacturers' \  -H 'Authorization: Bearer <access-token>'
[  {    "brand": "string",    "companyId": 0,    "id": 0,    "number": "string"  }]
POST
/api/item-lists/products/brand-manufacturers

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
brand?|
Lengthlength <= 100
companyId?|
Formatint32
id?integer
Formatint32
number?|
Lengthlength <= 10

Response Body

application/json
  1. response
brand?|
Lengthlength <= 100
companyId?|
Formatint32
id?integer
Formatint32
number?|
Lengthlength <= 10
curl -X POST 'https://<your-instance>/api/item-lists/products/brand-manufacturers' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "brand": "string",  "companyId": 0,  "id": 0,  "number": "string"}

Get a brand manufacturer

GET
/api/item-lists/products/brand-manufacturers/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
brand?|
Lengthlength <= 100
companyId?|
Formatint32
id?integer
Formatint32
number?|
Lengthlength <= 10
curl -X GET 'https://<your-instance>/api/item-lists/products/brand-manufacturers/0' \  -H 'Authorization: Bearer <access-token>'
{  "brand": "string",  "companyId": 0,  "id": 0,  "number": "string"}
PATCH
/api/item-lists/products/brand-manufacturers/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body
brand?|
Lengthlength <= 100
companyId?|
Formatint32
id?integer
Formatint32
number?|
Lengthlength <= 10

Response Body

application/json
  1. response
brand?|
Lengthlength <= 100
companyId?|
Formatint32
id?integer
Formatint32
number?|
Lengthlength <= 10
curl -X PATCH 'https://<your-instance>/api/item-lists/products/brand-manufacturers/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "brand": "string",  "companyId": 0,  "id": 0,  "number": "string"}
DELETE
/api/item-lists/products/brand-manufacturers/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/products/brand-manufacturers/0' \  -H 'Authorization: Bearer <access-token>'
Empty